import request from '@/utils/request'

// 查询服务缓存列表
export function listServiceCache(query) {
  return request({
    url: '/system/share/serviceCache/list',
    method: 'get',
    params: query
  })
}

// 查询服务缓存详细
export function getServiceCache(id) {
  return request({
    url: '/system/share/serviceCache/' + id,
    method: 'get'
  })
}

// 新增服务缓存
export function addServiceCache(data) {
  return request({
    url: '/system/share/serviceCache',
    method: 'post',
    data: data
  })
}

// 修改服务缓存
export function updateServiceCache(data) {
  return request({
    url: '/system/share/serviceCache',
    method: 'put',
    data: data
  })
}

// 删除服务缓存
export function delServiceCache(id) {
  return request({
    url: '/system/share/serviceCache/' + id,
    method: 'delete'
  })
}
